Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.conf
Class EntityMapLoaderContext

    java.lang.Object
      org.apache.cayenne.jpa.conf.EntityMapLoaderContext

    public class EntityMapLoaderContext

extends Object

A common context shared by different loaders during JPA mapping information processing.

Author:
  Andrus Adamchik

Field Summary
`protected ValidationResult` | `conflicts`
`protected JpaEntityMap` | `entityMap`
`protected ClassLoader` | `tempClassLoader`
`protected javax.persistence.spi.PersistenceUnitInfo` | `unit`

Constructor Summary
`EntityMapLoaderContext(javax.persistence.spi.PersistenceUnitInfo unit)`

Method Summary
`ValidationResult` | `getConflicts()`
`JpaEntityMap` | `getEntityMap()`
`ClassLoader` | `getTempClassLoader()`
`javax.persistence.spi.PersistenceUnitInfo` | `getUnit()`
`void` | `recordConflict(ValidationFailure conflict)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### conflicts

    protected ValidationResult conflicts

### entityMap

    protected JpaEntityMap entityMap

### unit

    protected javax.persistence.spi.PersistenceUnitInfo unit

### tempClassLoader

    protected ClassLoader tempClassLoader

Constructor Detail

### EntityMapLoaderContext

    public EntityMapLoaderContext(javax.persistence.spi.PersistenceUnitInfo unit)

Method Detail

### getUnit

    public javax.persistence.spi.PersistenceUnitInfo getUnit()

### getEntityMap

    public JpaEntityMap getEntityMap()

### recordConflict

    public void recordConflict(ValidationFailure conflict)

### getConflicts

    public ValidationResult getConflicts()

### getTempClassLoader

    public ClassLoader getTempClassLoader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.